Documentation Index
Fetch the complete documentation index at: https://docs.apinizer.com/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint
GET /apiops/projects/{projectName}/apiProxies/
Authentication
Requires a Personal API Access Token.
Authorization: Bearer YOUR_TOKEN
Request
| Header | Value | Required |
|---|
| Authorization | Bearer | Yes |
Path Parameters
| Parameter | Type | Required | Description |
|---|
| projectName | string | Yes | Project name |
Query Parameters
None
Response
Success Response (200 OK)
{
"status": "SUCCESS",
"resultList": [
{
"name": "Contact Application API",
"description": "This is a sample Spring Boot RESTful service using springdoc-openapi and OpenAPI 3.",
"type": "REST",
"relativePath": "/contact",
"soapToRest": false
},
{
"name": "SOAP Service",
"description": "SOAP Web Service",
"type": "SOAP",
"relativePath": "/soap",
"soapToRest": false
}
],
"resultCount": 2
}
Response Fields
| Field | Type | Description |
|---|
| status | string | Response status: SUCCESS or FAILURE |
| resultList | array | List of API proxy objects |
| resultCount | integer | Total number of API proxies |
API Proxy Object Fields
| Field | Type | Description |
|---|
| name | string | API Proxy name |
| description | string | API Proxy description |
| type | string | API type. See EnumApiType |
| relativePath | string | Relative path (from clientRoute) |
| soapToRest | boolean | Whether SOAP to REST transformation is enabled |
EnumApiType
REST - REST API
SOAP - SOAP API
EnumStatus
SUCCESS - Operation successful
FAILURE - Operation failed
Error Response (400 Bad Request)
{
"error": "bad_request",
"error_description": "projectName value can not be empty!"
}
Error Response (401 Unauthorized)
{
"error": "unauthorized_client",
"error_description": "Invalid token"
}
Error Response (404 Not Found)
{
"error": "not_found",
"error_description": "Project (MyProject) is not found or user does not have privilege to access it!"
}
cURL Example
curl -X GET \
"https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/" \
-H "Authorization: Bearer YOUR_TOKEN"
Full JSON Body Example
This endpoint does not require a request body.
Permissions
- User must have any permission in the project (read access)
Notes and Warnings
- Project Membership: User must be a member of the project
- Ordered Results: API proxies are returned ordered by name
- Empty List: If no API proxies exist, an empty
resultList is returned